"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("./unique");
function frequency(compare = (a, b) => a === b) {
    return this
        .unique(compare)
        .map(element => [element, this.reduce((accumulator, value) => compare(element, value) ? accumulator + 1 : accumulator, 0)]);
}
exports.default = frequency;
Array.prototype.frequency = frequency;
//# sourceMappingURL=frequency.js.map