"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const KeyNotPresentError_1 = require("../KeyNotPresentError");
function getOrThrow(key, supply = () => new KeyNotPresentError_1.default(key)) {
    const value = this.get(key);
    if (!value) {
        throw supply();
    }
    return value;
}
exports.default = getOrThrow;
Map.prototype.getOrThrow = getOrThrow;
//# sourceMappingURL=getOrThrow.js.map