"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DuplicateKeyError_1 = require("../DuplicateKeyError");
function insert(key, value) {
    if (this.has(key)) {
        throw new DuplicateKeyError_1.default(key);
    }
    const copy = new Map(this);
    copy.set(key, value);
    return copy;
}
exports.default = insert;
Map.prototype.insert = insert;
//# sourceMappingURL=insert.js.map