"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isBrowser_1 = require("../../utility/platform/isBrowser");
function toBytes(encoding = "utf-8") {
    if (isBrowser_1.default) {
        return new TextEncoder(encoding).encode(this);
    }
    const encoded = Buffer.from(this, encoding);
    return new Uint8Array(encoded.buffer, encoded.byteOffset, encoded.byteLength);
}
exports.default = toBytes;
String.prototype.toBytes = toBytes;
//# sourceMappingURL=toBytes.js.map