"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const range_1 = require("../../iterable/range");
function chunks(length, step = length) {
    return range_1.default(Math.ceil(this.length / step))
        .map((element, index) => this.slice(index * step, index * step + length));
}
exports.default = chunks;
Array.prototype.chunks = chunks;
//# sourceMappingURL=chunks.js.map