"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("./first");
require("./isEmpty");
const NoSuchElementError_1 = require("../NoSuchElementError");
function findOrThrow(predicate, supply = () => new NoSuchElementError_1.default()) {
    const values = this.filter(value => predicate(value));
    if (values.isEmpty()) {
        throw supply();
    }
    return values.first();
}
exports.default = findOrThrow;
Array.prototype.findOrThrow = findOrThrow;
//# sourceMappingURL=findOrThrow.js.map