"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const KeyNotPresentError_1 = require("../KeyNotPresentError");
function remove(key) {
    if (!this.has(key)) {
        throw new KeyNotPresentError_1.default(key);
    }
    const copy = new Map(this);
    copy.delete(key);
    return copy;
}
exports.default = remove;
Map.prototype.remove = remove;
//# sourceMappingURL=remove.js.map